Skip to main content
PUT
Update Custom Field

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

customFieldId
integer
required

The custom field ID.

Body

application/json
name
string
required

Must not be greater than 255 characters.

Example:

"tjqotbhpzwonwlzospqcs"

type
enum<string>
required
Available options:
text,
textarea,
checkbox,
select
Example:

"checkbox"

placeholder
string | null

Must not be greater than 255 characters.

Example:

"nssrciatkmatldznkaapj"

hint
string | null

Must not be greater than 255 characters.

Example:

"ptdhyldmarwuvlvyfcejz"

options
string | null

Must not be greater than 255 characters.

Example:

"olbxnqyvzmcgyfpncfyst"

default
string | null

Must not be greater than 255 characters.

Example:

"nonjizoohlpabvwbfbzkw"

regex
string | null

Must not be greater than 255 characters.

Example:

"sewlxtdfjxskykaapbpdx"

is_required
boolean
Example:

true

Response

200